E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | List of all members
G::Process::Umask Class Reference

Used to temporarily modify the process umask. More...

`#include <gprocess.h>`

Inheritance diagram for G::Process::Umask:

## Public Types
enum class | Mode { Readable , Tighter , Tightest , GroupOpen , Open }

## Public Member Functions
| Umask (Mode)
| Umask (const Umask &)=delete
| Umask (Umask &&)=delete
void | operator= (const Umask &)=delete
void | operator= (Umask &&)=delete

## Static Public Member Functions
static void | set (Mode)
static void | tighten ()

## Detailed Description

Used to temporarily modify the process umask.

Definition at line 157 of file gprocess.h.

## Member Enumeration Documentation

## ◆ Mode

enum class G::Process::Umask::Mode
| strong

Definition at line 160 of file gprocess.h.

## Constructor & Destructor Documentation

## ◆ Umask()

G::Process::Umask::Umask | ( | Mode | mode | ) |
| explicit

Definition at line 262 of file gprocess_unix.cpp.

## ◆ ~Umask()

G::Process::Umask::~Umask | ( |  | ) |

Definition at line 268 of file gprocess_unix.cpp.

## Member Function Documentation

## ◆ set()

void G::Process::Umask::set | ( | Mode | mode | ) |
| static

Definition at line 273 of file gprocess_unix.cpp.

## ◆ tighten()

void G::Process::Umask::tighten | ( |  | ) |
| static

Definition at line 278 of file gprocess_unix.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gprocess.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gprocess_unix.cpp